Last Comment Bug 534781 - Testsuite: base64-encode atob() is broken
: Testsuite: base64-encode atob() is broken
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 3.1b1
Assigned To: Ben Bucksch (:BenB)
:
Mentors:
Depends on:
Blocks: 525238
  Show dependency treegraph
 
Reported: 2009-12-14 17:48 PST by Ben Bucksch (:BenB)
Modified: 2010-05-10 04:37 PDT (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.5-fixed


Attachments
Fix, v1 (3.19 KB, patch)
2009-12-14 17:52 PST, Ben Bucksch (:BenB)
Pidgeot18: review+
standard8: superreview+
standard8: approval‑thunderbird3.0.5+
Details | Diff | Review

Description Ben Bucksch (:BenB) 2009-12-14 17:48:35 PST
atob() (base64-encode) in mailnews/test/resources/mailTestUtils.js is broken
(btoa() works):
atob(btoa(plain)) == plain
fails with "116101115116116101115116116101115116" != "testtesttest"

Attaching fix. Thanks to jcranmer (author) for the pointer.
Comment 1 Ben Bucksch (:BenB) 2009-12-14 17:52:20 PST
Created attachment 417599 [details] [diff] [review]
Fix, v1
Comment 2 Ben Bucksch (:BenB) 2009-12-14 17:53:56 PST
Comment on attachment 417599 [details] [diff] [review]
Fix, v1

standard8, please r and/or sr. Should be straight-forward.
Comment 4 Joshua Cranmer [:jcranmer] 2009-12-14 18:39:12 PST
Comment on attachment 417599 [details] [diff] [review]
Fix, v1

If it works...
Comment 5 Ben Bucksch (:BenB) 2009-12-15 04:40:38 PST
http://hg.mozilla.org/users/mozilla.BenB_bucksch.org/mail-auth/rev/ab72d03c050b

Waiting for sr...
Comment 6 Ben Bucksch (:BenB) 2010-01-20 08:38:02 PST
remind self: commit
Comment 7 Ben Bucksch (:BenB) 2010-02-01 08:00:29 PST
Commited to comm-central trunk:
<http://hg.mozilla.org/comm-central/rev/69c6658a1102>
FIXED
Comment 8 Mark Banner (:standard8) 2010-04-27 07:55:42 PDT
Comment on attachment 417599 [details] [diff] [review]
Fix, v1

Although we're not really dependent on this on the 3.0.x branch at the moment, I'd feel safer for taking it onto that branch in case a test relies on it later.
Comment 9 Mark Banner (:standard8) 2010-05-06 07:10:03 PDT
Checked in on 1.9.1 branch: http://hg.mozilla.org/releases/comm-1.9.1/rev/cbd498a1b922
Comment 10 Mark Banner (:standard8) 2010-05-10 04:37:39 PDT
Verifying on 3.0 as the patch has landed on branch and the tests are passing (plus this is a test-only bug).

Note You need to log in before you can comment on or make changes to this bug.